Update Video Broken

Questions about software.
loudermp
Posts: 32
Joined: 13 Oct 2016 05:24

Update Video Broken

Postby loudermp » 31 Mar 2017 19:50

Since the latest update video for Amazon and Netflix has been broken; Youtube so far has not had any issues; In the past I was able to copy a libffmpeg.so I had saved to get it to work but the with the update it will not launch unless the libffmpeg.so that came with the update is in place; I ran the script supplied by GwenDragon for this and it gave message to check with SolydXK support about this; I am running SolydX 8 x64 and the Vivaldi browser and Google Chrome works fine.

Thanks

User avatar
ilu
Posts: 2679
Joined: 09 Oct 2013 12:45

Re: Update Video Broken

Postby ilu » 01 Apr 2017 21:21

Netflix has never worked for me on Linux so you'll have to supply some more information - with links please. Which browser, which script, which libffmpeg?

User avatar
Arjen Balfoort
Site Admin
Posts: 9462
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Update Video Broken

Postby Arjen Balfoort » 02 Apr 2017 07:57

I'm watching Netflix now with the latest FF:

Code: Select all

apt update
apt install firefox
This replaced firefox-esr with firefox (52.0.2 (64-bit)).

Netflix showed me a list what is needed to use HTML5 and after clicking that away Netflix recommended to install drm (or something like that) for sound to work and I just hit the button to do so. I didn't have to copy anything. I don't even have Flash installed.


SolydXK needs you!
Development | Testing | Translations

loudermp
Posts: 32
Joined: 13 Oct 2016 05:24

Re: Update Video Broken

Postby loudermp » 02 Apr 2017 22:21

I am using Vivaldi 1.8.770.50 Stable, it was working previously and I have Chrome like I said works fine, unfortunately I refuse to use Firefox or Chrome for personal reasons, if know other alternatives please feel free to suggest them, I just have Chrome for the purposes of verifying video playback, I will try posting on the Vivaldi site and post if I get a solution, I actually went to the Vivaldi site first and a post there recommended I run the GwenDragon script which said I should go to the SOLYDXK site for support so I do not expect a solution.

Thanks

loudermp
Posts: 32
Joined: 13 Oct 2016 05:24

Re: Update Video Broken

Postby loudermp » 02 Apr 2017 23:18

Thanks for the replies, ruario had posted and ran his script and all is good now,


I have largely rewritten both my guide and the script that automates fetching and installing a suitable libffmpeg. so for you

https://gist.github.com/ruario/bec42d156d30affef655

I cannot verify if this script will work for browsers other than Vivaldi which based on Chromium 57.

User avatar
Arjen Balfoort
Site Admin
Posts: 9462
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Update Video Broken

Postby Arjen Balfoort » 22 Apr 2017 16:32

I had the same problem today with a clean install and after replacing firefox-esr with firefox.

You need to change this in about:config to true:
media.eme.enabled


SolydXK needs you!
Development | Testing | Translations

User avatar
patzy
Posts: 410
Joined: 15 Dec 2013 08:32
Location: Australia

Re: Update Video Broken

Postby patzy » 22 Apr 2017 23:31

Schoelje wrote:I had the same problem today with a clean install and after replacing firefox-esr with firefox.

You need to change this in about:config to true:
media.eme.enabled
I find that some of the firefox updates will work with netflix and some won't. Most annoying.
I see that not using firefox.esr has been mentioned but I don't know if I am using it or not.

I have FF 53.0 32bit from the solydk repos. And I access netflix using a User Agent Overrider set to linux/chrome.

I'd love to be able to use FF natively for netflix. So if I am not using the esr version (how can I tell?), then I make the change in the about:config and switch off the Agent Overrider, netflix would work OK? Or would it.?

User avatar
Arjen Balfoort
Site Admin
Posts: 9462
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Update Video Broken

Postby Arjen Balfoort » 23 Apr 2017 07:18

patzy wrote:So if I am not using the esr version (how can I tell?), then I make the change in the about:config and switch off the Agent Overrider, netflix would work OK? Or would it.?
Check with:

Code: Select all

$ apt policy firefox firefox-esr
firefox:
  Installed: 53.0
  Candidate: 53.0
  Version table:
 *** 53.0 0
        600 http://repository.solydxk.com/ solydxk-8/main amd64 Packages
        100 /var/lib/dpkg/status
firefox-esr:
  Installed: (none)
  Candidate: 45.9.0esr-1~deb8u1
  Version table:
     45.9.0esr-1~deb8u1 0
        500 http://security.debian.org/ jessie/updates/main amd64 Packages
     45.8.0esr-1~deb8u1 0
        100 /var/lib/dpkg/status
     45.6.0esr-1~deb8u1 0
        500 http://ftp.debian.org/debian/ jessie/main amd64 Packages
So, yes, you do not use the ESR version.
For me it worked to set "media.eme.enabled" to true.


SolydXK needs you!
Development | Testing | Translations

User avatar
patzy
Posts: 410
Joined: 15 Dec 2013 08:32
Location: Australia

Re: Update Video Broken

Postby patzy » 23 Apr 2017 08:29

Schoelje wrote: For me it worked to set "media.eme.enabled" to true.
I made sure I do not have the esr version.
Found I already had set media.eme.enabled to true.
Switched off the Agent Override.

Tried to watch something on netflix and got Error code: F7363-1260.

I switched on the Agent Override and got the same Error.

This happens with some updates of Firefox only. Every now and then I find the latest version will actually play netflix! :roll:

User avatar
Arjen Balfoort
Site Admin
Posts: 9462
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Update Video Broken

Postby Arjen Balfoort » 23 Apr 2017 10:12



SolydXK needs you!
Development | Testing | Translations

User avatar
patzy
Posts: 410
Joined: 15 Dec 2013 08:32
Location: Australia

Re: Update Video Broken

Postby patzy » 23 Apr 2017 23:27

Schoelje wrote:Google gave me this:
https://help.netflix.com/en/node/57681
Thanks for the tip Schoelje. I tried this and it doesn't work with Firefox. :x (Yes I did close and restart after changing things).

I still have no idea why some updates of FF work with netflix and others don't. Perhaps when the next workable FF turns up I should just pin it? In the meantime I'm hanging on to Chrome 32 bit....


Return to “Software”

Who is online

Users browsing this forum: No registered users and 13 guests